org.springframework.context.annotation

## Enum MBeanExportConfiguration.SpecificPlatform

- java.lang.Object
- - java.lang.Enum<MBeanExportConfiguration.SpecificPlatform>
  - - org.springframework.context.annotation.MBeanExportConfiguration.SpecificPlatform

- All Implemented Interfaces:
    Serializable, Comparable<MBeanExportConfiguration.SpecificPlatform>
  Enclosing class:
    MBeanExportConfiguration

      public static enum MBeanExportConfiguration.SpecificPlatform
      extends Enum<MBeanExportConfiguration.SpecificPlatform>

  Specific platforms that might need custom MBean handling.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `WEBLOGIC` Weblogic.
    `WEBSPHERE` Websphere.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MBeanExportConfiguration.SpecificPlatform` | `get()`
    `abstract MBeanServer` | `getMBeanServer()`
    `static MBeanExportConfiguration.SpecificPlatform` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MBeanExportConfiguration.SpecificPlatform[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WEBLOGIC

          public static final MBeanExportConfiguration.SpecificPlatform WEBLOGIC

      Weblogic.

    - #### WEBSPHERE

          public static final MBeanExportConfiguration.SpecificPlatform WEBSPHERE

      Websphere.

  - ### Method Detail

    - #### values

          public static MBeanExportConfiguration.SpecificPlatform[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MBeanExportConfiguration.SpecificPlatform c : MBeanExportConfiguration.SpecificPlatform.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MBeanExportConfiguration.SpecificPlatform valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getMBeanServer

          @Nullable
          public abstract MBeanServer getMBeanServer()

    - #### get

          @Nullable
          public static MBeanExportConfiguration.SpecificPlatform get()